#
# spec file for package gramofile
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gramofile
Version:        1.6
Release:        399.1
Summary:        Digitize Audio Records
License:        GPL-2.0-or-later
URL:            http://www.opensourcepartners.nl/~costar/gramofile/
Source0:        http://www.opensourcepartners.nl/~costar/gramofile/gramofile-%{version}.tar.gz
Source1:        gramofile.1
Patch1:         gramofile-1.6-makefiles.dif
Patch2:         gramofile-codecleanup.dif
Patch3:         20-no-busy-wait-after-rec.dpatch
Patch4:         90_report_recording_errors.dpatch
Patch5:         20-overflow-fixes.dpatch
Patch6:         20-shell-quoting.dpatch
Patch7:         20-via-kludge.dpatch
Patch8:         20-warning-fixes.dpatch
Patch9:         30-basename-fix.dpatch
Patch10:        40-fast-swap-and-buffer.dpatch
Patch12:        60-bplay_in_gramo.dpatch
Patch13:        70-endian-fixes.dpatch
Patch14:        80_fix_wav_length.dpatch
Patch15:        91_rename_cdrecord_wodim.dpatch
BuildRequires:  ncurses-devel
Provides:       gramofil = %{version}-%{release}
Obsoletes:      gramofil < %{version}

%description
Gramofile is a program to digitize audio records. Through the
application of several filters, it is possible to accomplish a
significant reduction of disturbances like ticks and scratches. Data is
saved in WAV format, making it easy to record on CD with programs like
cdrecord or xcdroast.

%prep
%autosetup -p0

%build
%make_build CC="gcc"

%install
make CC="gcc" DESTDIR=%{buildroot} docdir=%{_docdir}/%{name} install
install -Dm644 %{SOURCE1} %{buildroot}%{_mandir}/man1/gramofile.1

%files
%{_bindir}/bplay_gramo
%{_bindir}/brec_gramo
%{_bindir}/gramofile
%{_mandir}/man1/gramofile.1%{?ext_man}
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/ChangeLog
%{_docdir}/%{name}/COPYING
%{_docdir}/%{name}/README
%{_docdir}/%{name}/Signproc.txt
%{_docdir}/%{name}/TODO
%{_docdir}/%{name}/Tracksplit2.txt
%{_docdir}/%{name}/Tracksplit.txt

%changelog
* Wed May 15 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro: allows us to eliminate usage of deprecated
  %%patchN syntax.
- Rebase gramofile-1.6-makefiles.dif and gramofile-codecleanup.dif:
  make them apply with -p0 like all the other patches in this
  package.
* Wed Feb 28 2024 Martin Pluskal <mpluskal@suse.com>
- Small spec file cleanup
* Tue Feb 27 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Fri Sep 25 2015 mpluskal@suse.com
- Use url for source
- Cleanup spec file with spec-cleaner
* Fri Apr 20 2012 pth@suse.de
- Add all patches from debian that we don't already have:
  20-overflow-fixes.dpatch
  20-shell-quoting.dpatch
  20-via-kludge.dpatch
  20-warning-fixes.dpatch
  30-basename-fix.dpatch
  40-fast-swap-and-buffer.dpatch
  50-cmf3.dpatch
  60-bplay_in_gramo.dpatch
  70-endian-fixes.dpatch
  91_rename_cdrecord_wodim.dpatch
  70-endian-fixes.dpatch is the most important one as it fixes
  endianess bugs as well as making 64 bit binaries work again.
* Wed Oct  5 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Mon Feb  7 2011 lars@linux-schulserver.de
- added manpage from debian
- added the following debian patches:
  20-no-busy-wait-after-rec.dpatch
  80_fix_wav_length.dpatch
  90_report_recording_errors.dpatch
  please refer to the documentation in the patches for details
- beautify specfile
* Thu Mar 29 2007 ro@suse.de
- added ncurses-devel to buildreq
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul  8 2005 pth@suse.de
- Fix implicit declarations.
- Compile bplay with RPM_OPT_FLAGS
* Thu Apr 22 2004 pth@suse.de
- Split patch.
- Include standard headers where necessary.
- Mark functions that don't return with attribute((noreturn)).
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Wed Jun 18 2003 ro@suse.de
- added directory to filelist
* Tue Aug  6 2002 ro@suse.de
- renamed package to gramofile
* Fri Jun 16 2000 pthomas@suse.de
- fix spec file bug
* Thu Jun 15 2000 pthomas@suse.de
- Initial Spec file created by autospec
- Modified Makefile to fit our needs
- Minor code changes to suppress warnings
